.hero-section {
    position: relative;
}

.hero__upper-part {
    height: 90vh;
    max-height: 70rem;
    position: relative;
    min-height: 45rem;
}

.hero__background {
    position: absolute;
    width: 100%;
    height: 100%; 
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    filter:  brightness(0.9);
}

.hero__overlay {
    position: absolute;
    width: 100%;
    height: 100%; 
    background-color: rgba(255, 255, 255, 0.85);
}

.hero-top-inner {
    position: relative;
    height: 100%;
    z-index: 2;
    height: 100%;
    width: 100%;
    padding-top: 4rem;
}

.hero__headline {
    font-size: 3.25rem;
    line-height: normal;
    max-width: 18rem;
    opacity: 0.55;
    font-weight: 700;
    font-style: normal;
}

.hero__subtitle-wrapper {
    position: absolute;
    bottom: 0;
    justify-content: space-between;
    display: flex;
    text-transform: uppercase;
    width: 100%;
    z-index: 3;
    color: var(--black);
    margin-bottom: 2.25rem;
}

.hero__featured-image-wrapper {
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: center;
    bottom: 0;
    transform: translateY(71px);
    z-index: 5;

    img {
        width: 774px;
        height: 462px;
        border-radius: 32px;
        object-fit: cover;
    }
}

.hero__side-decoration-container {
    position: absolute;
    top: 0px;
    right: 0px;
    height: 100%;
    width: 51px;
    background-color: white;
}

.hero__side-decoration-wrapper {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.hero-side-decoration__textbox {
    width: fit-content;
    display: flex;
    justify-content: center;
    align-items: center;
    white-space: nowrap;
    aspect-ratio: 1/1;
    transform: rotate(90deg);
    color: var(--grey);
    text-transform: uppercase;
}

@media (max-width: 806px) {
    .hero__upper-part {
        min-height: calc(45rem + 20px);;
    }
    .hero-top-inner {
        padding-top: calc(4rem + 20px);
    }
}

@media (max-width: 1025px) {
    .hero__subtitle-wrapper {
        display: none;
    }
}

@media (max-width: 1600px) {
    .hero__featured-image-wrapper {
        img {
            width: 640px;
            height: 394px;
        }
    }
}

/* nav menu */

.hero-navigation-menu-wrapper {
    width: 12.2rem;
    height: 17.92rem;
    position: absolute;
    z-index: 2;
    right: 0;
    border-radius: 24px;
    border: 0.3px solid white;
    background-color: rgba(255, 255, 255, 0.705);

    .liquid-glass-wrapper {
        width: 12.2rem;
        height: 17.92rem;
    }

    .liquid-glass__content-wrapper {
        padding: 2rem;
        display: flex;
        flex-direction: column;
        align-items: end;
        justify-content: space-between;
    }
}

.hero__navigation-menu {
    display: flex;
    flex-direction: column;
    row-gap: 1.12rem;
    text-align: right;
}

.hero-navigation-menu__arrow {
    width: 3.5rem;
    height: 3.5rem;
    
}


@media (max-width: 1159px) {
    .hero__upper-part {
        min-height: calc(323px + 30rem);
        max-height: none;
    } 
}
 
@media (max-width: 806px) {
    .hero-navigation-menu-wrapper {
        display: none;
    } 

    .hero__featured-image-wrapper {
        img {
            width: 521px;
            height: 384px;
        }
    }

    .hero__upper-part {
        min-height: calc(313px + 30rem);
        max-height: none;
    } 
}

@media (min-width: 1600px) {
    @media (min-height: 1100px) {
        .hero__featured-image-wrapper {
            img {
                width: calc(1.3 * 774px);
                height: calc(1.3 * 462px);
            }
        }
    }
}

/* hero bottom part */

.hero-bottom-inner {
    position: relative;
    height: 100%;
    z-index: 2;
    height: 100%;
    width: 100%;
}

.hero__bottom-part {
    padding-top: 7.5rem;
    padding-bottom: 2.5rem;
    background-color: var(--black);

    .glass-text-bar-wrapper {
        max-width: 71.1rem;
    }

    .glass-text-bar__text-wrapper {
        transform: translateX(1rem);
        width: fit-content;
    }
}